---
.docker-build-and-push-base-img:
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - mkdir -p /kaniko/.docker
    - >-
      echo
      "{\"auths\":
      {\"${CI_REGISTRY}\":
      {\"auth\":
      \"$(printf "%s:%s"
      "${CI_REGISTRY_USER}"
      "${CI_REGISTRY_PASSWORD}"
      | base64 | tr -d '\n')\"}},
      \"https://index.docker.io/v1/\":
      {\"auth\":
      \"$(printf "%s:%s"
      "${DOCKERHUB_REGISTRY_USER}"
      "${DOCKERHUB_REGISTRY_TOKEN}"
      | base64 | tr -d '\n')\"}}
      }" > /kaniko/.docker/config.json
    - >-
      /kaniko/executor
      --skip-unused-stages=true
      --build-arg "BASE_DOCKER_IMAGE=${BASE_DOCKER_IMAGE}"
      --build-arg "NODE_VERSION=${NODE_VERSION}"
      --build-arg "NPM_VERSION=${NPM_VERSION}"
      --build-arg "http_proxy=${http_proxy}"
      --build-arg "HTTP_PROXY=${HTTP_PROXY}"
      --build-arg "https_proxy=${https_proxy}"
      --build-arg "HTTPS_PROXY=${HTTPS_PROXY}"
      --context "$CI_PROJECT_DIR"
      --dockerfile "${CI_PROJECT_DIR}/${DOCKER_PATH}/Dockerfile"
      --destination "$CI_REGISTRY_IMAGE/$PROJECT_NAME"
      --destination "$CI_REGISTRY_IMAGE/$PROJECT_NAME:$PROJECT_VERSION"
      --label org.opencontainers.image.authors="ci-test-EMPAIA"
      --label org.opencontainers.image.vendor="ci-test-EMPAIA"
      --label org.opencontainers.image.version="$PROJECT_VERSION"
      --label org.opencontainers.image.source=$CI_PROJECT_URL
      --label org.opencontainers.image.revision=$CI_COMMIT_SHA
      --label org.opencontainers.image.title="$PROJECT_NAME"
      --label org.opencontainers.image.description="$DESCRIPTION"
